(function( $ ) {
	if(!empty(pmSq.fbapi) ) {
		window.fbAsyncInit = function() {
			FB.init({
			appId      : pmSq.fbapi,
			status     : true,
			xfbml      : true,
			version    : 'v2.4' // or v2.0, v2.1, v2.0
			});
		};
		
		(function(d, s, id){
			var js, fjs = d.getElementsByTagName(s)[0];
			if (d.getElementById(id)) {return;}
			js = d.createElement(s); js.id = id;
			js.src = "//connect.facebook.net/en_US/sdk.js";
			fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));	
	}
	
	jQuery('body').prepend('<div id="fb-root"></div>');
	jQuery('#pm_sq_submit').click(function() {
		pmSq.finished = 1;
		var results = jQuery('#pm_social_questions_form').serializeObject();
		var total = 0;
		var ranges = JSON.parse(pmSq.table);
		jQuery.map(results.pm_social_question, function( n ) {
		if(!empty(n) ){
			total = parseInt(total) + parseInt(n);
		}
		  
		});
		jQuery.map(ranges, function( val ) {
			if (total >= parseInt(val.min)  && total <= parseInt(val.max) ) {
				jQuery('#pm_sq_result_wrapper').fadeIn();
				jQuery('#pm_sq_result_wrapper p.result_type').html(val.answer);
			}
		});
		jQuery('#pm_sq_submit').hide();
	});
	
	
	jQuery('#pm_social_questions_form li div.pm_social_question label').bind('click',function() {
		if(pmSq.finished == 0) {
		var target = '#'+jQuery(this).parent().data('id');
		jQuery(this).parents('li').find('.pm_social_question').removeClass('selected');
		jQuery(this).parent().addClass('selected');
		
		if(jQuery(this).parents('li').is(':last-child')) {
			jQuery(this).parents('li').fadeOut(function() {
				jQuery(this).addClass('hidden');
				jQuery('#pm_social_questions_form #pm_sq_submit').fadeIn();
			});
		} else {
			jQuery(this).parents('li').fadeOut(function() {
				jQuery(this).addClass('hidden');
				jQuery('#pm_social_questions_form li'+target).fadeIn();
			});
		}
		
		/*
		jQuery.scrollTo(target, 500, {
			offset: -30
		});
		*/
		}
	});
	
	jQuery('#pm_sq_result_wrapper .share_social').click(function(a) {
		a.preventDefault();
		var width = 800;
		// define the height in
		var height = width * window.innerHeight / window.innerWidth ;
		// Ratio the hight to the width as the user screen ratio
		
		if(jQuery(this).hasClass('fb') ) {
			if(empty(pmSq.fbapi) ) {
				window.open(this.href , 'newwindow', 'width=' + width + ', height=' + height + ', top=' + ((window.innerHeight - height) / 2) + ', left=' + ((window.innerWidth - width) / 2));	
			} else {
				FB.ui({
							method: 'feed',
							link: jQuery('#pm_sq_result_wrapper .share_social').data('href'),
							caption: jQuery('#pm_sq_result_wrapper p.result_type').text()
						},function(resui){
						
						});
				/*
				FB.getLoginStatus(function(response) {
					if (response.status === 'connected') {
						FB.ui({
							method: 'feed',
							link: jQuery('#pm_sq_result_wrapper .share_social').data('href'),
							caption: jQuery('#pm_sq_result_wrapper p.result_type').text()
						},function(resui){
						
						});
					}
					else {
					  FB.login(function(){}, {scope: 'publish_actions'});
					}
				});
				*/
			}
		} else {
			window.open(this.href , 'newwindow', 'width=' + width + ', height=' + height + ', top=' + ((window.innerHeight - height) / 2) + ', left=' + ((window.innerWidth - width) / 2));	
		}
		
	});
	
	
	function empty(mixed_var) {
	  //  discuss at: http://phpjs.org/functions/empty/
	  // original by: Philippe Baumann
	  //    input by: Onno Marsman
	  //    input by: LH
	  //    input by: Stoyan Kyosev (http://www.svest.org/)
	  // bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	  // improved by: Onno Marsman
	  // improved by: Francesco
	  // improved by: Marc Jansen
	  // improved by: Rafal Kukawski
	  //   example 1: empty(null);
	  //   returns 1: true
	  //   example 2: empty(undefined);
	  //   returns 2: true
	  //   example 3: empty([]);
	  //   returns 3: true
	  //   example 4: empty({});
	  //   returns 4: true
	  //   example 5: empty({'aFunc' : function () { alert('humpty'); } });
	  //   returns 5: false

	  var undef, key, i, len;
	  var emptyValues = [undef, null, false, 0, '', '0'];

	  for (i = 0, len = emptyValues.length; i < len; i++) {
		if (mixed_var === emptyValues[i]) {
		  return true;
		}
	  }

	  if (typeof mixed_var === 'object') {
		for (key in mixed_var) {
		  // TODO: should we check for own properties only?
		  //if (mixed_var.hasOwnProperty(key)) {
		  return false;
		  //}
		}
		return true;
	  }

	  return false;
	}	
})( jQuery );
